# Uses of Interface
com.databricks.jdbc.api.impl.SqlParameter

Packages that use SqlParameter
Package
Description
com.databricks.jdbc.api.impl

## Uses of SqlParameter in com.databricks.jdbc.api.impl

Classes in com.databricks.jdbc.api.impl that implement SqlParameter
Modifier and Type
Class
Description
`final class`
`ImmutableSqlParameter`
Immutable implementation of `SqlParameter`.
Methods in com.databricks.jdbc.api.impl with parameters of type SqlParameter
Modifier and Type
Method
Description
`static ImmutableSqlParameter`
ImmutableSqlParameter.`copyOf(SqlParameter instance)`
Creates an immutable copy of a `SqlParameter` value.
`final ImmutableSqlParameter.Builder`
ImmutableSqlParameter.Builder.`from(SqlParameter instance)`
Fill a builder with attribute values from the provided `SqlParameter` instance.